package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;

/**
 * 租赁订单项DTO
 * 2017年3月9日
 * @author 刘志伟
 */
public class RentOrderItemDTO implements Serializable {

	private static final long serialVersionUID = 9220689931066828795L;
	private Integer itemId;                //订单项id
	private Integer itemProductId;         //产品id
	private Integer itemColorId;           //产品颜色
	private String itemProductName;        // 商品名称
    private String itemProductColorName;   // 产品颜色
    
	private Integer itemProductType;       //产品类型      区分赠品
	private String color69Code;		//产品69码
	private Integer colorDiscount;	//产品折扣价
	private Integer colorPrice;	//产品原价
	private Integer rentDeposit;           //押金金额
	private Integer itemCodeState;	//激活码状态 1：未使用，2：已使用
	
    public Integer getItemCodeState() {
		return itemCodeState;
	}
	public void setItemCodeState(Integer itemCodeState) {
		this.itemCodeState = itemCodeState;
	}
	public Integer getItemId() {
        return itemId;
    }
    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }
    public String getColor69Code() {
		return color69Code;
	}
	public void setColor69Code(String color69Code) {
		this.color69Code = color69Code;
	}
	public Integer getColorDiscount() {
		return colorDiscount;
	}
	public void setColorDiscount(Integer colorDiscount) {
		this.colorDiscount = colorDiscount;
	}
	public Integer getColorPrice() {
		return colorPrice;
	}
	public void setColorPrice(Integer colorPrice) {
		this.colorPrice = colorPrice;
	}
	public Integer getItemProductId() {
        return itemProductId;
    }
    public void setItemProductId(Integer itemProductId) {
        this.itemProductId = itemProductId;
    }
    public Integer getItemColorId() {
        return itemColorId;
    }
    public void setItemColorId(Integer itemColorId) {
        this.itemColorId = itemColorId;
    }
    public String getItemProductName() {
        return itemProductName;
    }
    public void setItemProductName(String itemProductName) {
        this.itemProductName = itemProductName;
    }
    public String getItemProductColorName() {
        return itemProductColorName;
    }
    public void setItemProductColorName(String itemProductColorName) {
        this.itemProductColorName = itemProductColorName;
    }
    public Integer getItemProductType() {
        return itemProductType;
    }
    public void setItemProductType(Integer itemProductType) {
        this.itemProductType = itemProductType;
    }
    public Integer getRentDeposit() {
        return rentDeposit;
    }
    public void setRentDeposit(Integer rentDeposit) {
        this.rentDeposit = rentDeposit;
    }
    @Override
    public String toString() {
        return "RentOrderItemDTO [itemId=" + itemId + ", itemProductId="
                + itemProductId + ", itemColorId=" + itemColorId
                + ", itemProductName=" + itemProductName
                + ", itemProductColorName=" + itemProductColorName
                + ", itemProductType=" + itemProductType + ", color69Code="
                + color69Code + ", colorDiscount=" + colorDiscount
                + ", colorPrice=" + colorPrice + ", rentDeposit=" + rentDeposit
                + "]";
    }
}
